package com.itbaizhan.jsoup;

import org.jsoup.Jsoup;
import org.jsoup.nodes.Document;
import org.jsoup.nodes.Element;
import org.jsoup.select.Elements;

import java.io.File;
import java.io.IOException;

public class Demo1 {
    public static void main(String[] args) throws IOException {
        ClassLoader classLoader = Demo1.class.getClassLoader();
        String path = classLoader.getResource("com/itbaizhan/xsd/student.xml").getPath();
        Document document = Jsoup.parse(new File(path), "utf-8");
        Elements name = document.getElementsByTag("name");
        for(Element element:name){
            String text=element.text();
            System.out.println(text);
        }
    }
}
